package Time::OO::Week;
use strict;


sub new {
    my $class = shift();
    my $time = shift();

    my $self = {
        'time' => \$time,
	'german_week' => 1,
	'days' => {
	    'normal' => 365,
	    'leap'   => 366,
	},
    };
    bless($self, $class);
    return($self);
}


sub day {
    my $self = shift();
    return();
}


sub number {
    my $self = shift();

    my $week = int(($self->time->day->year_day() +
		    $self->time->year->wday_of_forth() +4 )
		   / 7);
    $week = 53 if ($week == 0);
    return($week);

    return();
}


sub which {
    my $self = shift();
    my $value = shift();

    if (defined($value)) {
	my $month = $self->{'year'};
	$self->forward($value-$month);
    } else {
	return($self->{'year'});
    }
}


1;
