package Time::OO::Range;
use strict;
use Time::OO;


sub new {
    my $class = shift();

    my $self = {
        't0' => Time::OO->new(),
        't1' => Time::OO->new(),
    };
    bless($self, $class);
    return($self);
}

sub time      {  return($_[0]->{'time'})      };

sub today {
    my $self = shift();
    $self->time->import(time());
}


sub tomorrow {
    my $self = shift();
    $self->time->import(time()+86400);
}


sub yesterday {
    my $self = shift();
    $self->time->import(time()-86400);
}


sub  {
    my $self = shift();
}


sub  {
    my $self = shift();
}


1;
